<?php

function site_breadcrumb($home='<i class="fas fa-home" aria-hidden></i>' , $search_title='',$error404='',$page_title='') {

    /* === OPTIONS === */
    $text['home']  = $home; // text for the 'Home' link
    $text['category'] = '%s'; // text for a category page
    $text['search']   = $search_title.' "%s"'; // text for a search results page
    $text['tag']      = '"%s"'; // text for a tag page
    $text['author']   = '"%s"'; // text for an author page
    $text['404']      = $error404; // text for the 404 page
    $text['page']     = $page_title.' %s'; // text 'Page N'
    $text['cpage']    = '%s'; // text 'Comment Page N'

    $wrap_before    = '<div class="breadcrumbs">'; // the opening wrapper tag
    $wrap_after     = '</div><!-- .breadcrumbs -->'; // the closing wrapper tag
    $sep            = '<svg xmlns="http://www.w3.org/2000/svg" width="9.41" height="9.1" viewBox="0 0 9.41 9.1">
                    <g id="Group_325" data-name="Group 325" transform="translate(-1172.067 -335.55)">
                        <path id="Path_156" data-name="Path 156" d="M13.14,6l1.069,1.069L10.736,10.55l3.473,3.481L13.14,15.1,8.59,10.55Z" transform="translate(1167.268 329.55)" fill="#fff"/>
                        <path id="Path_156-2" data-name="Path 156" d="M13.14,6l1.069,1.069L10.736,10.55l3.473,3.481L13.14,15.1,8.59,10.55Z" transform="translate(1163.477 329.55)" fill="#fff"/>
                    </g>
                </svg>'; // separator between crumbs
    $before         = '<span class="breadcrumbs__current">'; // tag before the current crumb
    $after          = '</span>'; // tag after the current crumb

    $show_on_home   = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
    $show_home_link = 1; // 1 - show the 'Home' link, 0 - don't show
    $show_current   = 1; // 1 - show current page title, 0 - don't show
    $show_last_sep  = 1; // 1 - show last separator, when current page title is not displayed, 0 - don't show
    /* === END OF OPTIONS === */

    global $post;
    $home_url       = home_url('/');
    $link           = '<span>';
    $link          .= '<a class="breadcrumbs__link" href="%1$s"><span>%2$s</span></a>';
    $link          .= '<meta itemprop="position" content="%3$s" />';
    $link          .= '</span>';
    $parent_id      = ( $post ) ? $post->post_parent : '';
    $home_link      = sprintf( $link, $home_url, $text['home'], 1 );

    if ( is_home() || is_front_page() ) {

        if ( $show_on_home ) echo $wrap_before . $home_link . $wrap_after;

    } else {

        $position = 0;

        echo $wrap_before;

        if ( $show_home_link ) {
            $position += 1;
            echo $home_link;
        }

        if ( is_category() ) {
            $parents = get_ancestors( get_query_var('cat'), 'category' );
            foreach ( array_reverse( $parents ) as $cat ) {
                $position += 1;
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
            }
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                $cat = get_query_var('cat');
                echo $sep . sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_current ) {
                    if ( $position >= 1 ) echo $sep;
                    echo $before . sprintf( $text['category'], single_cat_title( '', false ) ) . $after;
                } elseif ( $show_last_sep ) echo $sep;
            }

        } elseif ( is_tax() ) {
            $post_type = get_post_type_object( get_post_type() );
            if ( $show_home_link && $show_current ) echo $sep;
            if (get_post_type() == 'product'){
                if ( $show_current ) echo $before . sprintf( $link, get_post_type_archive_link( $post_type->name ), get_theme_mod( 'product_label', 'محصولات' ), $position );
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }elseif(get_post_type() == 'portfolio') {
                if ( $show_current ) echo $before . sprintf( $link, get_post_type_archive_link( $post_type->name ), get_theme_mod( 'portfolio_label', 'پروژه ها' ), $position );
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }

            $parents = get_queried_object()->parent;
            if ( $parents != false ) {
                echo $sep . sprintf( $link, get_term_link( $parents ), get_term( $parents )->name, $position ); }
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                echo $sep . sprintf( $link, get_term_link( get_queried_object()->term_id ), get_queried_object()->name, $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_current ) {
                    if ( $position >= 1 ) echo $sep;
                    echo $before . sprintf( $text['category'], single_cat_title( '', false ) ) . $after;
                } elseif ( $show_last_sep ) echo $sep;
            }

        } elseif ( is_search() ) {
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                if ( $show_home_link ) echo $sep;
                echo sprintf( $link, $home_url . '?s=' . get_search_query(), sprintf( $text['search'], get_search_query() ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_current ) {
                    if ( $position >= 1 ) echo $sep;
                    echo $before . sprintf( $text['search'], get_search_query() ) . $after;
                } elseif ( $show_last_sep ) echo $sep;
            }

        } elseif ( is_year() ) {
            if ( $show_home_link && $show_current ) echo $sep;
            if ( $show_current ) echo $before . get_the_time('Y') . $after;
            elseif ( $show_home_link && $show_last_sep ) echo $sep;

        } elseif ( is_month() ) {
            if ( $show_home_link ) echo $sep;
            $position += 1;
            echo sprintf( $link, get_year_link( get_the_time('Y') ), get_the_time('Y'), $position );
            if ( $show_current ) echo $sep . $before . get_the_time('F') . $after;
            elseif ( $show_last_sep ) echo $sep;

        } elseif ( is_day() ) {
            if ( $show_home_link ) echo $sep;
            $position += 1;
            echo sprintf( $link, get_year_link( get_the_time('Y') ), get_the_time('Y'), $position ) . $sep;
            $position += 1;
            echo sprintf( $link, get_month_link( get_the_time('Y'), get_the_time('m') ), get_the_time('F'), $position );
            if ( $show_current ) echo $sep . $before . get_the_time('d') . $after;
            elseif ( $show_last_sep ) echo $sep;

        } elseif ( is_single() && ! is_attachment() ) {
            if ( get_post_type() == 'product' ) {
                $position += 1;
                $post_type = get_post_type_object( get_post_type() );
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_post_type_archive_link( $post_type->name ), get_theme_mod( 'product_label', 'محصولات' ), $position );
                $terms = get_the_terms( $post->ID , 'product_cat' )[0];
                $parents = $terms->parent;
                if ( $parents != false ) {
                    echo $sep . sprintf( $link, get_term_link( $parents ), get_term( $parents )->name, $position ); }

                if($terms != false)
                    echo $sep . sprintf( $link, get_term_link( $terms->term_id ),  $terms->name , $position );
                if ( $show_current ) echo $sep . $before . get_the_title() . $after;
                elseif ( $show_last_sep ) echo $sep;
            } elseif ( get_post_type() == 'portfolio' ) {
		        $position += 1;
		        $post_type = get_post_type_object( get_post_type() );
		        if ( $position > 1 ) echo $sep;
		        echo sprintf( $link, get_post_type_archive_link( $post_type->name ), get_theme_mod( 'portfolio_label', 'پروژه ها' ), $position );
		        $terms = get_the_terms( $post->ID , 'portfolio_cat' )[0];
		        $parents = $terms->parent;
		        if ( $parents != false ) {
			        echo $sep . sprintf( $link, get_term_link( $parents ), get_term( $parents )->name, $position ); }

		        if($terms != false)
			        echo $sep . sprintf( $link, get_term_link( $terms->term_id ),  $terms->name , $position );
		        if ( $show_current ) echo $sep . $before . get_the_title() . $after;
		        elseif ( $show_last_sep ) echo $sep;
	        } else {
                $cat = get_the_category(); $catID = $cat[0]->cat_ID;
                $parents = get_ancestors( $catID, 'category' );
                $parents = array_reverse( $parents );
                $parents[] = $catID;
                foreach ( $parents as $cat ) {
                    $position += 1;
                    if ( $position > 1 ) echo $sep;
                    echo sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
                }
                if ( get_query_var( 'cpage' ) ) {
                    $position += 1;
                    echo $sep . sprintf( $link, get_permalink(), get_the_title(), $position );
                    echo $sep . $before . sprintf( $text['cpage'], get_query_var( 'cpage' ) ) . $after;
                } else {
                    if ( $show_current ) echo $sep . $before . get_the_title() . $after;
                    elseif ( $show_last_sep ) echo $sep;
                }
            }

        } elseif ( is_post_type_archive() ) {
            $post_type = get_post_type_object( get_post_type() );
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                if ( $position > 1 ) echo $sep;
                if (get_post_type() == 'product'){
                    echo sprintf( $link, get_post_type_archive_link( $post_type->name ), get_theme_mod( 'product_label', 'محصولات' ), $position );
                }elseif(get_post_type() == 'portfolio') {
                    echo sprintf( $link, get_post_type_archive_link( $post_type->name ), get_theme_mod( 'portfolio_label', 'پروژه ها' ), $position );
                }
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if (get_post_type() == 'product'){
                    $p_name= get_theme_mod( 'product_label', 'محصولات' );
                }elseif(get_post_type() == 'portfolio') {
                    $p_name= get_theme_mod( 'portfolio_label', 'پروژه ها' );
                }
                if ( $show_home_link && $show_current ) echo $sep;
                if ( $show_current ) echo $before . $p_name . $after;
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }

        } elseif ( is_attachment() ) {
            $parent = get_post( $parent_id );
            $cat = get_the_category( $parent->ID ); $catID = $cat[0]->cat_ID;
            $parents = get_ancestors( $catID, 'category' );
            $parents = array_reverse( $parents );
            $parents[] = $catID;
            foreach ( $parents as $cat ) {
                $position += 1;
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
            }
            $position += 1;
            echo $sep . sprintf( $link, get_permalink( $parent ), $parent->post_title, $position );
            if ( $show_current ) echo $sep . $before . get_the_title() . $after;
            elseif ( $show_last_sep ) echo $sep;

        } elseif ( is_page() && ! $parent_id  && get_query_var( 'paged' )) {
            $position += 1;
            if ( $position > 1 ) echo $sep;
            echo sprintf( $link, get_page_link( $pageID ), get_the_title( $pageID ), $position );
            echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
        }elseif ( is_page() && ! $parent_id ) {
            if ( $show_home_link && $show_current ) echo $sep;
            if ( $show_current ) echo $before . get_the_title() . $after;
            elseif ( $show_home_link && $show_last_sep ) echo $sep;


        } elseif ( is_page() && $parent_id ) {
            $parents = get_post_ancestors( get_the_ID() );
            foreach ( array_reverse( $parents ) as $pageID ) {
                $position += 1;
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_page_link( $pageID ), get_the_title( $pageID ), $position );
            }
            if ( $show_current ) echo $sep . $before . get_the_title() . $after;
            elseif ( $show_last_sep ) echo $sep;

        } elseif ( is_tag() ) {
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                $tagID = get_query_var( 'tag_id' );
                echo $sep . sprintf( $link, get_tag_link( $tagID ), single_tag_title( '', false ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_home_link && $show_current ) echo $sep;
                if ( $show_current ) echo $before . sprintf( $text['tag'], single_tag_title( '', false ) ) . $after;
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }

        } elseif ( is_author() ) {
            $author = get_userdata( get_query_var( 'author' ) );
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                echo $sep . sprintf( $link, get_author_posts_url( $author->ID ), sprintf( $text['author'], $author->display_name ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_home_link && $show_current ) echo $sep;
                if ( $show_current ) echo $before . sprintf( $text['author'], $author->display_name ) . $after;
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }

        } elseif ( is_404() ) {
            if ( $show_home_link && $show_current ) echo $sep;
            if ( $show_current ) echo $before . $text['404'] . $after;
            elseif ( $show_last_sep ) echo $sep;

        } elseif ( has_post_format() && ! is_singular() ) {
            if ( $show_home_link && $show_current ) echo $sep;
            echo get_post_format_string( get_post_format() );
        }

        echo $wrap_after;

    }
}
