<?php

//ELEMENTOR
use Elementor\Group_Control_Image_Size;

//enqueue files to elementor editor
function load_file() {
	wp_enqueue_style( 'themsah-style', TM_PLUGIN_URL . 'assets/css/style.css' );

	wp_enqueue_script( 'themsah-jquery-min', TM_PLUGIN_URL . 'assets/js/jquery-min.js' );
	wp_enqueue_script( 'themsah-script', TM_PLUGIN_URL . 'assets/js/script.js' );
	wp_enqueue_script('ajax-functions', TM_PLUGIN_URL . 'assets/js/ajax-functions.js', array('jquery'));
	$value = array(
		'ajax_url' => admin_url( 'admin-ajax.php')
	);
	wp_localize_script( 'ajax-functions', 'ajax', $value );
}

add_action( 'wp_enqueue_scripts', 'load_file' );

//add custom css to elementor editor panel
add_action( 'elementor/editor/wp_head', function () {
	if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {
		wp_enqueue_style( 'admin-css', TM_PLUGIN_URL . 'assets/css/admin-css.css' );
	}
} );

function article_box( $more_text, $title_count = '8' , $excerpt_count = '20' , $orientation='' ,$sett = '',$read_more_icon='',$show_cat='',$show_excerpt='') {  ?>
    <div <?php post_class('article-box '.$orientation);?>>
        <a href="<?php the_permalink(); ?>" class="thumbnail">
            <div class="overlay">
                <i class="fas fa-link" aria-hidden="true"></i>
            </div>
            <?php $post_thumbnail = get_the_post_thumbnail_url(); ?>
            <?php if ( $post_thumbnail ) { ?>
                <img src="<?= Group_Control_Image_Size::get_attachment_image_src(get_post_thumbnail_id(), 'image', $sett); ?>" alt="<?php the_title(); ?>" width="377"
                     height="340">
            <?php } else {?>
                <img src="<?= Group_Control_Image_Size::get_attachment_image_src($sett['default-image']['id'], 'image', $sett);
                ?>" alt="<?php the_title(); ?>">
            <?php } ?>
            <?php if ($show_cat){ ?>
            <span class="date">
                <i class="far fa-calendar-alt" aria-hidden="true"></i>
                <?php echo get_the_date(); ?>
            </span>
            <?php } ?>
        </a>
        <div class="content">
            <a href="<?php the_permalink(); ?>" class="title">
                <h3><?php echo wp_trim_words( get_the_title(), $title_count, '...' ); ?></h3>
            </a>
            <p><?php echo wp_trim_words( get_the_excerpt(), $excerpt_count, '...' ); ?></p>
            <div class="d-flex justify-content-between align-items-center article-box-footer">
                <span class="cat">
                    <i class="far fa-folder-open" aria-hidden="true"></i>
                    <?php the_category( ', ' ,'0'); ?>
                </span>
                <a href="<?php the_permalink(); ?>" class="more">
                    <?php echo $more_text; ?>
                    <?php \Elementor\Icons_Manager::render_icon( $read_more_icon, [ 'aria-hidden' => 'true' ] ); ?>
                </a>
            </div>
        </div>
    </div>
<?php }

function article_box_type_2( $more_text, $title_count = '8' , $excerpt_count = '20' , $orientation='' ,$sett = '',$read_more_icon='',$show_cat='',$show_excerpt='') { ?>
    <div class="article-box-type-2 <?= $orientation; ?>">
        <a href="<?php the_permalink(); ?>" class="thumbnail">
            <?php $post_thumbnail = get_the_post_thumbnail_url(); ?>
            <?php if ( $post_thumbnail ) { ?>
                <img src="<?= Group_Control_Image_Size::get_attachment_image_src(get_post_thumbnail_id(), 'image', $sett); ?>" alt="<?php the_title(); ?>" width="377"
                     height="340">
            <?php } else {?>
                <img src="<?= Group_Control_Image_Size::get_attachment_image_src($sett['default-image']['id'], 'image', $sett);
                ?>" alt="<?php the_title(); ?>">
            <?php } ?>
        </a>
        <div class="content">
            <?php if ($show_cat){ ?>
                <span class="date">
                    <span>
                        <i class="far fa-calendar-alt" aria-hidden="true"></i>
                        <?php echo get_the_date(); ?>
                    </span>
                </span>
            <?php } ?>
            <a href="<?php the_permalink(); ?>" class="title">
                <h3><?php echo wp_trim_words( get_the_title(), $title_count, '...' ); ?></h3>
            </a>
            <?php if ($show_excerpt){ ?>
            <p class="pa-article"><?php echo wp_trim_words( get_the_excerpt(), $excerpt_count, '...' ); ?></p>
            <?php } ?>
            <div class="d-flex  align-items-center justify-content-center article-box-footer">
                <a href="<?php the_permalink(); ?>" class="more">
                    <?php echo $more_text; ?>
                    <?php \Elementor\Icons_Manager::render_icon( $read_more_icon, [ 'aria-hidden' => 'true' ] ); ?>
                </a>
            </div>
        </div>
    </div>
<?php }