<?php

namespace ThemsahAddons\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Scheme_Typography;


if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly


class Post_Navigation extends Widget_Base {

	public function get_name() {
		return 'post-navigation';
	}

	public function get_title() {
		return __( 'ناوبری پست', 'themsah' );
	}


	public function get_icon() {
		return 'eicon-post-navigation';
	}


	public function get_categories() {
		return [ 'themsah_cat' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'محتوا', 'themsah' ),
			]
		);

		$this->add_control(
			'prev-btn',
			[
				'label'         => __( 'متن دکمه قبل', 'plugin-domain' ),
				'type'          => \Elementor\Controls_Manager::TEXT,

			]
		);

		$this->add_control(
			'next-btn',
			[
				'label'         => __( 'متن دکمه قبل', 'plugin-domain' ),
				'type'          => \Elementor\Controls_Manager::TEXT,

			]
		);



		$this->end_controls_section();

		$this->start_controls_section(
			'style',
			[
				'label' => __( 'استایل', 'themsah' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,

			]
		);

		$this->add_control(
			'btn-color',
			[
				'label'     => __( 'رنگ متن دکمه', 'themsah' ),
				'type'      => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .primary-button' => 'color: {{VALUE}} !important',
					'{{WRAPPER}} .primary-button svg path' => 'fill: {{VALUE}} !important',
				],
			]
		);
		
			$this->add_control(
			'background',
			[
				'label'     => __( 'پس زمینه دکمه', 'themsah' ),
				'type'      => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .primary-button' => 'background: {{VALUE}} !important',
				],
			]
		);
		$this->add_control(
			'button-border-radius',
			[
				'label' => __( ' گردی گوشه ها دکمه', 'plugin-domain' ),
				'type' => Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .primary-button ' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
		
				$this->add_control(
			'toltip-border-radius',
			[
				'label' => __( ' گردی گوشه ها تولتیپ', 'plugin-domain' ),
				'type' => Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .site-tooltip ' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);


		$this->end_controls_section();
	}


	protected function render() {
		$settings = $this->get_settings_for_display(); ?>
		<div class="row justify-content-between post-navigation mr-0 ml-0">
			<?php previous_post_link('%link', '<span  title="%title"><span class="primary-button"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16"><path id="Path_239" data-name="Path 239" d="M4,11H16.17L10.58,5.41,12,4l8,8-8,8-1.41-1.41L16.17,13H4Z" transform="translate(-4 -4)" fill="#fff" /></svg>'.$settings['prev-btn'].'</span></span>'); ?>
			<?php next_post_link('%link', '<span title="%title"><span class="primary-button">'.$settings['next-btn'].'<svg title="%title" xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16"><path id="Path_239" data-name="Path 239" d="M20,11H7.83l5.59-5.59L12,4,4,12l8,8,1.41-1.41L7.83,13H20Z" transform="translate(-4 -4)" fill="#fff" /></svg></span></span>'); ?>
		</div>
	<?php }


	protected function _content_template() {
	}
}
