<?php

namespace ThemsahAddons\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Scheme_Typography;


if (!defined('ABSPATH')) exit; // Exit if accessed directly


class WOOCOMERCEPAGES extends Widget_Base
{

	public function get_name()
	{
		return 'woocommerce-page';
	}

	public function get_title()
	{
		return __('صفحه های ووکامرس', 'themsah');
	}


	public function get_icon()
	{
		return 'eicon-product-pages';
	}


	public function get_categories()
	{
		return ['themsah_cat'];
	}


	public function get_style_depends() {
		return [ 'woo_style' ];
	}

	protected function _register_controls()
	{
		$this->start_controls_section(
			'section_title',
			[
				'label' => __('تنظیمات', 'themsah'),
			]
		);

		$this->add_control(
			'woocom',
			[
				'label' => __( 'نوع صفحه را انتخاب نمایید', 'plugin-domain' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'solid',
				'options' => [
					'[woocommerce_cart]'  => __( 'سبد خرید', 'plugin-domain' ),
					'[woocommerce_checkout]' => __( 'صفحه پرداخت', 'plugin-domain' ),
					'[woocommerce_my_account]' => __( 'حساب کاربری', 'plugin-domain' ),
					'[woocommerce_order_tracking]' => __( 'پیگیری سفارش', 'plugin-domain' ),

				],
			]
		);
		$this->end_controls_section();

	}


	protected function render()
	{
		$settings = $this->get_settings_for_display();
		$woochange= $settings['woocom'];
		echo do_shortcode(''.$woochange.'');
	}


	protected function _content_template()
	{
	}
}
