<?php

namespace ThemsahAddons\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Scheme_Typography;


if (!defined('ABSPATH')) exit; // Exit if accessed directly


class Progress_Bar extends Widget_Base
{

    public function get_name()
    {
        return 'progress-bar';
    }

    public function get_title()
    {
        return __('نوار پیشرفت صفحه', 'themsah');
    }


    public function get_icon()
    {
        return 'eicon-reading-bar';
    }


    public function get_categories()
    {
        return ['themsah_cat'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'style_section',
            [
                'label' => __('استایل', 'themsah'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

	    $this->add_control(
		    'reading-bar-height',
		    [
			    'label' => __( 'ارتفاع', 'plugin-domain' ),
			    'type' => Controls_Manager::SLIDER,
			    'size_units' => [ 'px' ],
			    'range' => [
				    'px' => [
					    'min' => 0,
					    'max' => 50,
					    'step' => 1,
				    ],
			    ],
			    'default' => [
				    'unit' => 'px',
				    'size' => 5,
			    ],
			    'selectors' => [
				    '{{WRAPPER}} progress' => 'height: {{SIZE}}{{UNIT}};',
			    ],
		    ]
	    );

	    $this->add_group_control(
		    \Elementor\Group_Control_Background::get_type(),
		    [
			    'name' => 'readingbar-background',
			    'label' => __( 'پس زمینه', 'plugin-domain' ),
			    'types' => [ 'classic', 'gradient' ],
			    'selector' => '{{WRAPPER}} progress::-moz-progress-bar',
		    ]
	    );

  		$this->end_controls_section();
    }

    protected function render() {
  		$settings = $this->get_settings_for_display();?>

        <div class="readingbar">
            <progress value="0"></progress>
        </div>

  	<?php }

    protected function _content_template()
    {
    }
}
