<?php

namespace ThemsahAddons\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Scheme_Typography;
use WP_Query;


if (!defined('ABSPATH')) exit; // Exit if accessed directly


class Content extends Widget_Base
{

    public function get_name()
    {
        return 'Content';
    }

    public function get_title()
    {
        return __('محتوای پست', 'themsah');
    }


    public function get_icon()
    {
        return 'eicon-post-content';
    }


    public function get_categories()
    {
        return ['themsah_cat'];
    }



    protected function _register_controls()
    {
        $this->start_controls_section(
            'section_slides',
            [
                'label' => __( 'محتوا', 'themsah' ),
            ]
        );
        $this->end_controls_section();
    }


    protected function render()
    {
        $settings = $this->get_settings_for_display();
        if ( \Elementor\Plugin::$instance->editor->is_edit_mode()) {
            $post_meta = get_post_meta(get_the_ID());
            if ($post_meta['themsah-select-template'][0] == 'post_single') {
                global $post;
                if ( ! is_singular( 'post' ) ) {
                    $post = themsah_get_preview_post(); // phpcs:ignore
                    setup_postdata( $post );
                }

                the_content();

                if ( ! is_singular( 'post' ) ) {
                    wp_reset_postdata();
                }
            } elseif ($post_meta['themsah-select-template'][0] == 'product_single') {
                $the_query = new WP_Query(array('post_type' => 'product', 'posts_per_page' => 1));
                if ($the_query->have_posts()) {
                    while ($the_query->have_posts()) {
                        $the_query->the_post();
                        the_content();
                    }
                }
                wp_reset_postdata();
            } elseif ($post_meta['themsah-select-template'][0] == 'portfolio_single') {
                $the_query = new WP_Query(array('post_type' => 'portfolio', 'posts_per_page' => 1));
                if ($the_query->have_posts()) {
                    while ($the_query->have_posts()) {
                        $the_query->the_post();
                        the_content();
                    }
                }
                wp_reset_postdata();
            } else {
                if (have_posts()) {
                    while (have_posts()) {
                        the_post();
                    }
                }
                the_content();
            }
        }else {
            the_content();
        }

    }


    protected function _content_template()
    {
    }
}
