<?php

namespace ThemsahAddons\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Scheme_Typography;


if (!defined('ABSPATH')) exit; // Exit if accessed directly


class Themsah_Image_Box extends Widget_Base
{

    public function get_name()
    {
        return 'themsah-image-box';
    }

    public function get_title()
    {
        return __('باکس تصویر', 'themsah');
    }


    public function get_icon()
    {
        return 'eicon-image';
    }


    public function get_categories()
    {
        return ['themsah_cat'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'section_content5',
            [
                'label' => __('تنظیمات محتوای باکس', 'themsah'),
            ]
        );
        $this->add_control(
            'image',
            [
                'label' => esc_html__( 'انتخاب عکس', 'plugin-name' ),
                'type' => \Elementor\Controls_Manager::MEDIA,
                'default' => [
                    'url' => \Elementor\Utils::get_placeholder_image_src(),
                ],
            ]
        );
        $this->add_control(
            'widget_title',
            [
                'label' => esc_html__( 'Title', 'plugin-name' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => esc_html__( 'Default title', 'plugin-name' ),
                'placeholder' => esc_html__( 'Type your title here', 'plugin-name' ),
            ]
        );

        $this->end_controls_section();


    }


    protected function render()
    {
        $settings = $this->get_settings_for_display(); ?>

        <div class="themsah-image">
            <img src="<?php echo $settings['image']['url'];?>" alt="">
            <div class="info-image">
                <span></span>
                <p><?php echo $settings['widget_title']; ?></p>
                <div class="icon-image">

                </div>
            </div>
        </div>


    <?php }


    protected function _content_template()
    {
    }
}
